Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154806 - Support for SLP (line XX) is not compiled in
Summary: Support for SLP (line XX) is not compiled in
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ypserv
Version: 8
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 10:59 UTC by Ralf Corsepius
Modified: 2008-02-28 21:41 UTC (History)
1 user (show)

Fixed In Version: 2.19-9.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-28 21:41:04 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2005-04-14 10:59:42 UTC
Description of problem:

The default /etc/ypserv.conf causes warnings.

Version-Release number of selected component (if applicable):
ypserv-2.13-5

How reproducible:
Deterministic.

Steps to Reproduce:
1. install the default /etc/ypserv.conf as being part of the rpms
2. /sbin/service ypserv start
  
Actual results:
From /var/log/messages:
Apr 14 12:54:56 mccallum ypserv: ypserv startup succeeded
Apr 14 12:54:56 mccallum ypserv[7843]: Support for SLP (line 20) is not compiled in.
Apr 14 12:54:56 mccallum ypserv[7843]: Support for SLP (line 22) is not compiled in.

Expected results:
No warning

Comment 1 Matthew Miller 2006-07-10 22:53:45 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 petrosyan 2008-02-08 02:54:04 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Comment 3 Ralf Corsepius 2008-02-13 08:37:00 UTC
Reopening - Bug is still present in Fedora 8 (ypserv-2.19-8.fc8)

The initial report still applies, as well as the way to reproduce it.

A quick fix to silence ypserv is to explicitly set slp:no in ypserv.conf,
similar to this:

--- ypserv.conf.orig 2008-02-13 05:21:10.000000000 +0100
+++ ypserv.conf        2008-02-13 09:28:17.000000000 +0100
@@ -17,9 +17,9 @@
 files: 30
 
 # Should we register ypserv with SLP ?
-slp: no
+# slp: no
 # After how many seconds we should re-register ypserv with SLP ?
-slp_timeout: 3600
+# slp_timeout: 3600
 
 # xfr requests are only allowed from ports < 1024
 xfr_check_port: yes


An alternative would be to physically remove all slp support from ypserv.conf
and from ypserv itself.

BTW: For some reasons, I am not able to change the Fedora version of this BZ in
bugzilla.



Comment 4 Ralf Corsepius 2008-02-13 08:38:05 UTC
I just found the (well hidden) switch to change the version ;)

Comment 5 Ralf Corsepius 2008-02-13 08:51:42 UTC
(In reply to comment #3)
> A quick fix to silence ypserv is to explicitly set slp:no in ypserv.conf,
> similar to this:
Sorry, this comment was wrong (Nevertheless, the patch was right). 

It is converse: To silence ypserv, one has to remove or comment out all
referenced to slp*: configuration tags.


Comment 6 Fedora Update System 2008-02-13 13:59:54 UTC
ypserv-2.19-9.fc8 has been submitted as an update for Fedora 8

Comment 7 Fedora Update System 2008-02-16 02:15:13 UTC
ypserv-2.19-9.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ypserv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1726

Comment 8 Fedora Update System 2008-02-28 21:41:01 UTC
ypserv-2.19-9.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.